<div class="row">
    <div  class="col-10">
    </div>
    <div  class="col-2">
        <button class="btn btn-success btn-block" (click)="irInicio()">
            atras
        </button>
    </div>
</div>
<div class="row">


    
    <div class="col-md-6 offset-md-3">
    <div class="card">

    

        <div class="card-body">
            <div class="p-3 mb-2 text-dark" style="text-align: center;" >
                <h2>Datos de agente</h2> 
            </div>


            <form class="was-validated">

                <div class="form-group">
                    <label for="validationServer01"><h5>Id Agente</h5></label>
                    <label class="sr-only" for="validationServerNombre">Id</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fas fa-user"></i>
                            </div>
                        </div>
                        <input type="text" name="id" id="validationServerNombre" [(ngModel)]="usuario.id"
                            placeholder="Ingresa id" class="form-control  is-invalid"
                            aria-describedby="inputGroupPrepend3" required>
                    </div>
                </div>

                <div class="form-group">
                    <label for="validationServer01"><h5>Nombre</h5></label>
                    <label class="sr-only" for="validationServerNombre">Nombre</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fas fa-user"></i>
                            </div>
                        </div>
                        <input type="text" name="nombre" id="validationServerNombre" [(ngModel)]="usuario.firstName"
                            placeholder="Ingresa Nombre" class="form-control  is-invalid"
                            aria-describedby="inputGroupPrepend3" required>
                    </div>
                </div>

                
                <div class="form-group">
                    <label for="validationServer01"><h5>Apellido</h5></label>
                    <label class="sr-only" for="validationServerNickname">Apellido</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fab fa-megaport"></i>
                            </div>
                        </div>
                        <input type="text" name="apelldio" id="validationServerNickname" [(ngModel)]="usuario.lastName"
                            placeholder="Ingrese apellido" class="form-control  is-invalid"
                            aria-describedby="inputGroupPrepend3" required>
                    </div>
                </div>

                <!-- Password -->
                <div class="form-group">
                    <label for="validationServer01"><h5>Contrase&ntilde;a</h5></label>
                    <label class="sr-only" for="validationServerPassword">Password</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fas fa-key"></i>
                            </div>
                        </div>
                        <input type="password" name="pass" id="validationServerPassword" [(ngModel)]="usuario.password"
                            placeholder="Contrase&ntilde;a" class="form-control  is-invalid"
                            aria-describedby="inputGroupPrepend3" required>
                        <div class="invalid-feedback">
                                Opcional
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label for="validationServer01"><h5>Posicion</h5></label>
                    <label class="sr-only" for="validationServerNickname">Posicion</label>
                    <div class="input-group mb-2">
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="fab fa-megaport"></i>
                            </div>
                        </div>
                        <input type="text" name="posicion" id="validationServerNickname" [(ngModel)]="usuario.position"
                            placeholder="Ingrese posicion" class="form-control  is-invalid"
                            aria-describedby="inputGroupPrepend3" required>
                    </div>
                </div>
                          
            </form>
        </div>

        </div>


    </div>
    

</div>
